Skip to main content
GET
/
programs
/
{id}
/
tracking
/
status
Error
A valid request URL is required to generate request examples
{
  "data": {
    "programId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "status": {
      "stripeConnected": true,
      "trackingScriptVerified": true,
      "websiteConfigured": true,
      "trackingDomain": "<string>",
      "trackingRequiresConsent": true,
      "cookieDuration": 123
    },
    "stats": {
      "clicksLast7Days": {
        "total": 123,
        "redirect": 123,
        "direct": 123
      },
      "conversionsLast30Days": {
        "total": 123,
        "clickToken": 123,
        "coupon": 123
      },
      "stripeEventsLast30Days": {
        "total": 123,
        "succeeded": 123,
        "skipped": 123
      }
    },
    "recent": {
      "lastRedirectClick": {
        "affiliateCode": "<string>",
        "createdAt": "2023-11-07T05:31:56Z",
        "entryHost": "<string>"
      },
      "lastDirectClick": {
        "affiliateCode": "<string>",
        "createdAt": "2023-11-07T05:31:56Z",
        "entryHost": "<string>"
      },
      "lastTrackingVerification": {
        "createdAt": "2023-11-07T05:31:56Z",
        "entryHost": "<string>"
      }
    },
    "health": {
      "scriptInstalled": {
        "complete": true,
        "reason": "<string>",
        "updatedAt": "2023-11-07T05:31:56Z"
      },
      "referralClickReceived": {
        "complete": true,
        "reason": "<string>",
        "updatedAt": "2023-11-07T05:31:56Z"
      },
      "stripeEventReceived": {
        "complete": true,
        "reason": "<string>",
        "updatedAt": "2023-11-07T05:31:56Z"
      },
      "conversionAttributed": {
        "complete": true,
        "reason": "<string>",
        "updatedAt": "2023-11-07T05:31:56Z"
      },
      "blockingReason": "<string>"
    },
    "warnings": [
      {
        "code": "<string>",
        "severity": "info",
        "message": "<string>"
      }
    ],
    "summary": "<string>"
  },
  "meta": {
    "requestId": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Use API key as Bearer token, for example: Bearer ak_live_xxx

Path Parameters

id
string<uuid>
required

Response

Tracking diagnostics status

data
object
required
meta
object
required